%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate byte-unit

Name:           rust-byte-unit
Version:        5.1.4
Release:    1%{?dist}
Summary:        Library for interacting with units of bytes

License:        MIT
URL:            https://crates.io/crates/byte-unit
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library for interacting with units of bytes.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bit-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bit-devel %{_description}

This package contains library source intended for building other packages which
use the "bit" feature of the "%{crate}" crate.

%files       -n %{name}+bit-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+byte-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+byte-devel %{_description}

This package contains library source intended for building other packages which
use the "byte" feature of the "%{crate}" crate.

%files       -n %{name}+byte-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_decimal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_decimal-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_decimal" feature of the "%{crate}" crate.

%files       -n %{name}+rust_decimal-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+u128-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u128-devel %{_description}

This package contains library source intended for building other packages which
use the "u128" feature of the "%{crate}" crate.

%files       -n %{name}+u128-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.4-1
- initial build
